## org.hibernate.type
Class LocaleType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Locale>
              org.hibernate.type.LocaleType

All Implemented Interfaces:
  Serializable, BasicType, LiteralType<Locale>, SingleColumnType<Locale>, StringRepresentableType<Locale>, Type, XmlRepresentableType<Locale>

    public class LocaleType

extends AbstractSingleColumnStandardBasicType<Locale>
implements LiteralType<Locale>

A type that maps between `VARCHAR` and @link Locale}

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static LocaleType` `INSTANCE`

Constructor Summary
`LocaleType()`

Method Summary
`String` `getName()` Returns the abbreviated name of the type.
`String` `objectToSQLString(Locale value, Dialect dialect)` Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.
`protected boolean` `registerUnderJavaType()`

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`get, nullSafeGet, nullSafeSet, nullSafeSet, set, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType

`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Field Detail

### INSTANCE

    public static final LocaleType INSTANCE

Constructor Detail

### LocaleType

    public LocaleType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### registerUnderJavaType

    protected boolean registerUnderJavaType()

  Overrides:
    `registerUnderJavaType` in class `AbstractStandardBasicType<Locale>`

### objectToSQLString

    public String objectToSQLString(Locale value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

  Specified by:
    `objectToSQLString` in interface `LiteralType<Locale>`
  Parameters:
    `value` - The value to convert
    `dialect` - The SQL dialect
  Returns:
    The value's string representation
  Throws:
    `Exception` - Indicates an issue converting the value to literal string.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.